Skip to content
Hexel StudioDocs

Decide a Titan approval the task waits on

POST/harness/tasks/{id}/approvals/{approval}

Forwarded to Titan's user approval route with your Titan user-route token (X-Titan-User-Token). Titan's refusals are titan_refused with details.titan_code; 502 titan_unavailable, 503 approvals_unavailable.

Path parameters

approvalstring

Titan's approval id.

Headers

Bearer <token>. A Hexel Studio access token for your organization.

The workspace the request acts in (ws_...). It never grants access by itself.

The environment the request acts in (env_...). It never grants access by itself.

Body parameters

decisionstring

One of: "approve", "deny"

reasonoptional string

Accepted; not forwarded.

proofoptional any

A phone's decision JWS.

Returns

200Titan took the decision.object

decidedboolean
titanoptional object

Titan's answer.

Errors

  • default